Skip to content

API Reference

Add new transaction screening(s)

POST /transaction_screening https://transaction-api.cable.tech

Authentication

  • Bearer token in the Authorization header

Request body

application/json list of objects required

Transaction screening data to add.

  • screening_id string required

    Unique identifier for a transaction screening. This is the primary key for a screening and should be unique across all transaction screenings. Updates to a transaction screening should be made using this identifier.

  • type string required

    The type of screening check performed.

  • outcome string required

    The outcome of the screening check.

  • provider string required

    The provider that provided the screening check.

  • lists list of strings required

    The list(s) that the transaction was screened against.

  • related_tx_id string

    Unique identifier for a transaction as it relates to the transaction screening.

  • additional_properties list of objects

    Additional metadata that relates to a transaction screening.

    • key string required

      The key of the additional property. This should be unique within the additional properties array.

    • value string required

      The value of the additional property.

    • type string required

      The type of the additional property value, for example “string”, “number”, “boolean”, “object”, “array”.

      Allowed values STRINGNUMBERBOOLEANOBJECTARRAY

    • description string required

      A description of the additional property. This should provide context for the value.

  • timestamp string required

    The time of the transaction screening. This should be in ISO 8601 format. When adding a new transaction screening, this field represents the creation time. When updating a transaction screening, this represents the time of the update.

    Format date-time

Responses

201 Transaction screening added successfully

  • screening_id string required

    Unique identifier for a transaction screening. This is the primary key for a screening and should be unique across all transaction screenings. Updates to a transaction screening should be made using this identifier.

  • type string

    The type of screening check performed.

  • outcome string

    The outcome of the screening check.

  • provider string

    The provider that provided the screening check.

  • lists list of strings

    The list(s) that the transaction was screened against.

  • related_tx_id string

    Unique identifier for a transaction as it relates to the transaction screening.

  • additional_properties list of objects

    Additional metadata that relates to a transaction screening.

    • key string required

      The key of the additional property. This should be unique within the additional properties array.

    • value string required

      The value of the additional property.

    • type string required

      The type of the additional property value, for example “string”, “number”, “boolean”, “object”, “array”.

      Allowed values STRINGNUMBERBOOLEANOBJECTARRAY

    • description string required

      A description of the additional property. This should provide context for the value.

  • timestamp string required

    The time of the transaction screening. This should be in ISO 8601 format. When adding a new transaction screening, this field represents the creation time. When updating a transaction screening, this represents the time of the update.

    Format date-time

Errors

  • 400 Invalid transaction screening data
  • 401 Unauthorized request
  • 409 Transaction screening already exists
  • 429 Rate limit exceeded
  • 500 Server error
  • default General error

Error body 400401409429500default

  • code integer required

    Format int32

  • message string required
  • errors list of objects

    Detailed information about errors in specific fields.

    • field string
    • message string